## Appendix 4: Mapping list of UI options and properties

This appendix provides a list of JReport Server UI options and their corresponding properties of the same functionality in the property files.

Most of these listed UI options are the administrative configuration options which can be accessed on the JReport Administration page by administrators. A few of them are available on the JReport Console page to end users too.

UI Option | Property in server.properties in `<install_root>\bin`
--- | ---
JReport Console page > Resources > Advanced Run > General
Priority | task.initial.priority.ondemand
JReport Console page > Resources > Schedule > General
Priority | task.initial.priority.schedule
JReport Administration page > Configuration > Service
Port | httpserver.port
Dashboard Port | httpserver.dashboard.port
Administration Port | httpserver.admin.port
Maximum Number of Handlers | httpserver.max.handlers
Maximum Number of Connections | httpserver.max.connections
Connection Timeout in | httpserver.timeout
Enable Secure Socket Layer Connection | httpserver.ssl.enable
Secure Port | httpserver.ssl.port
Dashboard Secure Port | httpserver.ssl.dashboard.port
Secure Administration Port | httpserver.ssl.admin.port
Keystore File Path | httpserver.ssl.keystore
Keystore Password | httpserver.ssl.keystore.password
Keystore Type | httpserver.ssl.keystore.type
Keystore Protocol | httpserver.ssl.protocol
Keystore Algorithm | httpserver.ssl.algorithm
Servlet Properties File Name | httpserver.servlet.propfile
Active Realm | server.realm.active
All Network Addresses | httpserver.host.all
Network Address At | httpserver.host.name
JReport Administration page > Configuration > Performance
Catalogs to Be Preloaded | performance.preloadedcats
Preload Catalog Referred Classes | performance.preloadcatcls
Preload Engine Referred Classes | performance.preloadenginecls
Preload Report Referred Classes | performance.preloadrptcls
Reports to Be Preloaded | performance.preloadedrpts
Preload Fonts | performance.loadfont
Compress Swap Files | performance.compressio
JReport Administration page > Configuration > Advanced
No Security Check | server.security
Enable "Publish to Versioning System" for Background Tasks View | server.version.from.temp
Keep Connection Alive | server.connection.keepalive
Enable Multiple Users to Login Using the Same User Name | server.enableMultipleLogin
Enable Resources from Real Paths | server.enableDynamicResource
Enable Task Duration | task.duration.enable
Enable Linked Catalog | server.resource.enable_linked_catalog
Role Based Authorization | server.rolebased.authorization
Permission Setting UI Displays > User | server.ui.set_permissions.user
Permission Setting UI Displays > Role | server.ui.set_permissions.role
Permission Setting UI Displays > Group | server.ui.set_permissions.group
Advanced Password | server.security.advanced_password.enabled
JReport Password Rule | server.security.advanced_password.user_defined_rule=false
JReport Password Rule > Min Length | server.security.advanced_password.min_length
JReport Password Rule > Uppercase | server.security.advanced_password.contains_uppercase
JReport Password Rule > Lowercase | server.security.advanced_password.contains_lowercase
JReport Password Rule > Number | server.security.advanced_password.contains_number
JReport Password Rule > Symbol | server.security.advanced_password.contains_symbol
User Defined Password Rule | server.security.advanced_password.user_defined_rule=true
Permission Algorithm | server.permission.algorithm
Show Resource Name Extension > JReport Server | web.page.option.show_name_with_postfix
Show Resource Name Extension > Web Report Studio/ Page Report Studio/JDashboard | web.viewer.option.show_name_with_postfix
User Session Timeout | server.session.timeout
Time Limit before Moving to Background | web.timeouts.report_wait
Status Refresh Interval | task.duration.check_cycle
Temporary Files Life | resource.result.life
Engine Priority | engine.priority
JReport Administration page > Cluster > Configuration
Cluster Name | cluster.name
Properties Directory | resource.share.properties.dir
Realm Directory | resource.share.realm.dir
Resource Root | resource.root
History Directory | resource.share.hist.dir
Temporary Files Directory | resource.share.temp.dir
Server's RMI Host | server.rmi.host
Server's RMI Port | server.rmi.port
Enable Cluster | cluster.enable
JReport Administration page > Cube > Configuration
Maximum Cube Memory Allowed | server.cube.maxmemory
JReport Administration page > Cache > Data Cache > Cached Report Data > Cache Configuration
Maximum Memory Usage | server.crd.memory.usage
Automatic Cache | server.autocache.enabled
Maximum Disk Usage | server.autocache.max.disk.usage
Expires > Never | server.autocache.never.expire
Expires > Custom | server.autocache.expired.time
JReport Administration page > Cache > Report Cache
Cache Loaded Catalogs | performance.cachecat
Maximum Number of Catalogs to be Cached | performance.catpoolsize
Cache Loaded Reports | performance.cacherpt
Maximum Number of Reports to be Cached | performance.rptpoolsize
Report Buffer Size for Sort Action | engine.sort.buffer_size
JReport Administration page > Cache > Security Cache
User Cache Size | server.security.user.cache.size
Role Cache Size | server.security.role.cache.size
Group Cache Size | server.security.group.cache.size
Protection Cache Size | server.security.protection.cache.size
JReport Administration page > Cache > Image Cache
Cache Images | performance.cacheimg
All used images | performance.cacheallimg
Maximum Image Cache Size | performance.imgpoolsize
Show Details | performance.showimgdetail

UI Option | Property in mailconfig.properties in `<install_root>\bin`
--- | ---
JReport Administration page > Configuration > E-mail Server
SMTP Server | smtp.server
SMTP Server Port | smtp.server.port
Server Requires Authentication | smtp.authentication
Server Requires a Secure Connection (SSL) | smtp.SSL
E-mail Address | mailbox
Encoding | mail.encoding
SMTP Login Account > User Name | smtp.user
SMTP Login Account > Password | smtp.password
JReport Administration page > Configuration > Export > E-mail
Default E-mail Format | default.format
Compress Attachment as Java Archive | compress.mail
Maximum Split PDF File Size | Tag_MaxMailSize
Maximum Split PDF File Page | Tag_MaxMailPage

UI Option | Property in faxconfig.properties in `<install_root>\bin`
--- | ---
JReport Administration page > Configuration > Export > Fax
Fax Machine/Fax Server | via_fax_server
Timeout | time_out
Retries | max_retries
Dialing | dialing
Modem Class | modem_class
Flow Control | flow_control
Flow Control Command | flow_command
Port | port
Initialization String | init_string
Fax Gateway Connector | connector
Server IP | server_ip
Server Port | server_port
Login ID | user_id
Password | password
Fax Sender | user_name
Special Parameters | special_parameters

UI Option | Property in preference.properties in `<install_root>\realm\defaultRealm\UserName`
--- | ---
JReport Administration/Console page > Profile > Customize Server Preferences > General
Default Format for Viewing Report | default_view_format
Default View for Page Report Studio | default_view_for_dhtml
Default Mode for Web Report Studio | default_mode_for_studio
Default Mode for JDashboard | default_mode_for_dashboard
Pop-up Page Report Studio Window | popup_dhtml_window
Only CSS style can be available in style list | only_css_style
Display the Last Login Time | jrs.user_last_login_time
Display the Last Logout Time | jrs.user_last_logout_time
Keep Completed Tasks for | days_definition_for_completed
Parameter Display Size | parameters_display_size
Folder Selector Type | folder_selector_format
Skin Format | skin_format
Allow users to modify preferences from user console | allow_modify_preference_from_user_console
Show Loading Icon When Refreshing | show_loading_icon
Enable IE Navigate2 | enable_IE_Navigate2
Columns Shown in Resources List
Type | reports_type
Description | reports_description
Last Modified | reports_last_modified
Columns Shown in Scheduled List
Task ID | scheduled_task_id
Schedule Name | scheduled_task_name
Next Run Time | scheduled_next_run_at
Last Run Time | scheduled_last_run_at
Is Successful | scheduled_is_successful
Catalog | scheduled_catalog
Report | scheduled_report
Report Tabs | scheduled_reports
Launch Type | scheduled_launch_type
Task Type | scheduled_task_type
Requester | scheduled_submitter
Is Enabled | scheduled_is_enable
Columns Shown in Running List
Task ID | active_task_id
Schedule Name | active_task_name
Start Time | active_started_time
Catalog | active_catalog
Report | active_report
Report Tabs | active_reports
Launch Type | active_launch_type
Task Type | active_task_type
Requester | active_submitter
Parameter File | active_parameters
Parameters | active_parameters_values
Engine Status | active_engine_status
Columns Shown in Completed List
Task ID | completed_task_id
Schedule Name | completed_task_name
Completed Time | completed_completed_time
Is Successful | completed_is_successful
Catalog | completed_catalog
Report | completed_report
Report Tabs | completed_reports
Launch Type | completed_launch_type
Task Type | completed_task_type
Requester | completed_submitter
Parameter File | completed_parameter_file
Parameters | completed_parameters
Engine Status | completed_engine_status
Error Message | completed_error_message
Result Files | completed_result_files
Columns Shown in Background Tasks List
Catalog | ondemands_catalog
Finish Time | ondemands_time
Elapse Time | ondemands_time_elapse
Start Time | ondemands_started_time
Catalog Version Number | ondemands_catalog_version
Report Version Number | ondemands_report_version
Parameters | ondemands_parameter
Columns Shown in Report Result Versions List
Number | version_number
Report Results | version_output
Parameters | version_parameters
Creator | version_creator
Number | rpt_version_number
Columns Shown in Catalog Versions List
Number | cat_version_number
Columns Shown in Result Versions List
Number | doc_version_number
Results | doc_version_output
Parameters | doc_version_parameters
Creator | doc_version_creator
JReport Administration/Console page > Profile > Customize Server Preferences > Export Formats
JReport Result
Zip Result | jrs.zip_result
Page Report Result
Resolution | jrs.dhtml_resolution
HTML
No Margin | jrs.no_margin_html
Multiple Files | jrs.is_multi_files=true
Embedded CSS | jrs.embedded_css
Single File | jrs.is_multi_files=false
No Hyperlink | jrs.has_hyperlink
No Page Number | jrs.has_page_number
Drilldown | jrs.drilldown
Section 508 Compliant Output | jrs.use_section508_output
Use HTML Data Table | jrs.use_html_table
Absolute Font Size | jrs.relative_font_size=false
Relative Font Size | jrs.relative_font_size=true
Use Chart > Applet Chart | jrs.is_applet_chart=true
Use Chart > Image Chart | jrs.is_applet_chart=false
Use Chart > Image Chart drop-down list | jrs.format_chart
Resolution | jrs.html_resolution
Web Browser | jrs.web_browser
Text Overflow | jrs.text_overflow
PDF
No Margin | jrs.no_margin_pdf
Compress Image | jrs.compress_image_pdf
Generate charts and barcodes using images (recommended) | jrs.print_mode_pdf=false
Generate charts and barcodes using vector graphics | jrs.print_mode_pdf=true
TOC | jrs.toc_pdf
Drilldown | jrs.drilldown_pdf
Encrypt | jrs.pdf_encrypt
Encrypt > Compatibility | jrs.pdf_compatibitly
Encrypt > Document Open Password | jrs.password_pdf
Encrypt > Use a password to restrict printing and editing of the document and its security settings | jrs.has_pdf_permis_pasw
Encrypt > Permissions Password | jrs.pdf_permis_pasw
Encrypt > Printing Allowed | jrs.pdf_printallow
Encrypt > Changes Allowed | jrs.pdf_changallow
Encrypt > Enable copying of text, images and other content | jrs.pdf_check_enablecopy
Encrypt > Enable text access for screen reader devices for the visually impaired | jrs.pdf_check_enableaccess
Sign | jrs.pdf_sign
Sign > Method | jrs.pdf_sign_method
Sign > Digital ID File | jrs.pdf_digital_path
Sign > User Password | jrs.pdf_user_pasw
Sign > Reason for Signing Document | jrs.pdf_document_reson
Sign > Or Other Reason | jrs.pdf_edit_yourself
Sign > Location | jrs.pdf_location
Sign > Your Contact Information | jrs.pdf_contact_inf
Excel
Word Wrap | jrs.is_wordwrap
Report Format | jrs.excel_layout=true
Column Format | jrs.excel_layout=false
Data Format | jrs.excel2000
More Options | jrs.excel_advanced=true
Less Options | jrs.excel_advanced=false
Include Shapes in Export | jrs.has_shapes
Print Page Header | jrs.print_header
Print Page Footer | jrs.print_footer
Print Gridlines | jrs.print_gridlines
Text
Delimited Format | jrs.is_norm_txt=false
Delimited Format > Use Quote Mark | jrs.is_quotemark
Delimited Format > Repeat Last Column Value If Null | jrs.is_repeat
Delimited Format > Custom Delimiter | jrs.is_text_delimiter=jrs.delimiter & jrs.delimiter=
Delimited Format > Tab Delimited | jrs.is_text_delimiter=jrs.is_tab
Delimited Format > CSV Format | jrs.is_text_delimiter=jrs.is_csv
Horizontal Density | jrs.udchar_width
Vertical Density | jrs.udchar_height
Compress | jrs.txt_compress
Header and Footer | jrs.hasHeadFoot
Windows End-of-line (CR-LF) | jrs.txt_windows=true
Unix End-of-line (LF) | jrs.txt_windows=false
RTF
Best Editing | jrs.best_editing_rtp
No Margin | jrs.no_margin_rtf
XML
Only Data | jrs.is_only_data
PostScript
No Margin | jrs.no_margin_ps
Applet
Pop-up Window | jrs.frameapplet
Zip Result | jrs.zip_applet_result
Java Plug-In 1.2 for Windows | jrs.applet_type=2
Java Plug-In 1.3 for Windows | jrs.applet_type=3
JReport Administration/Console page > Profile > Customize Server Preferences > Advanced
Enable Waiting Page | skin_enable_waitting_page
Specify Default Language | enable_setting_display_language
Specify Default Language > Language | locale_nls
Specify Default Language > Reset All Users' Preference | is_forced_language
Enable NLS | profile_enable_default_nls
Enable NLS > Default Language | profile_nls_locale
Enable NLS > Default Encoding | profile_nls_encoding
Specify Default Time Zone | jrs.enable_set_default_timezone
Specify Date Time Format | profile_date_format & profile_time_format
Override Style Group | jrs.style_group
Identify Server Preference | jrs.enable_to_prefer_server
Use Accessible Version | jrs.use_section508_compliant_page
Enable Saving Parameter Values | jrs.enable_save_used_parameter_values
Maximum Number of Auto Complete Parameters List | max_autocomplete_list_num
Enable Setting Default Parameter Values For Page Report | profile_enable_setting_default_parameter_values_4_jreport_viewer
Enable Setting Default Parameter Values For Web Report | profile_enable_setting_default_parameter_values_4_jreport_studio
Enable Setting Default Parameter Values For Dashboard | profile_enable_setting_default_parameter_values_4_jdashboard
Enable Hiding Initial Parameter Dialog For Page Report | profile_enable_hiding_initial_parameter_dialog_4_jreport_viewer
Enable Hiding Initial Parameter Dialog For Web Report | profile_enable_hiding_initial_parameter_dialog_4_jreport_studio
Enable Waiting Page > Customize
Default Format | skin_style=Default
Customize Format | skin_style=Customize
Customize Format > Enable Customize Loading Status Image | skin_enable_loading_statue
Customize Format > Server-side File Name | skin_waitting_statue
Customize Format > Alignment to | skin_statue_align
Customize Format > Tip Text Font | skin_tip_font_family
Customize Format > Size | skin_tip_font_size
Customize Format > Bold | skin_tip_font_isblod
Customize Format > Italic | skin_tip_font_isitalic
Customize Format > Underline | skin_tip_font_isunderline
Specify a JSP as Waiting Page | skin_style=Appointment
Specify a JSP as Waiting Page > File Name | skin_waitting_page
JReport Administration/Console page > Profile > Customize Profile > Common
Specify Date Time Format | isFormat
Date Format | dateFormat
Time Format | timeFormat
Timestamp Format | timestampFormat
Sort on Column Headers | sortable
Filter on Column Headers | filterable
Show Sort/Filter Status on Column Headers | sfstatus
JReport Administration/Console page > Profile > Customize Profile > JDashboard
Features
Default Profile | DSHCurrentProfile
Properties
Edit Mode | "editMode"\:{}
View Mode | "viewMode"\:{}
Toolbar Icons
Show Toolbar | toolbar
Show Resources | toolbarResources
New | toolbarNew
Open | toolbarOpen
Save | toolbarSave
Refresh | toolbarRefresh
Enter Parameter Values | toolbarEntParamValue
Export | toolbarExport
Print | toolbarPrint
Clear Filters | toolbarClearFilter
Arrange | toolbarArrange
Options | toolbarOption
Options Menu
New | OptionNew
Open | OptionOpen
Save | OptionSave
Save As | OptionSaveas
Export | OptionExport
Print | OptionPrint
Clear Filters | OptionClearFilter
Arrange | OptionAlign
Auto Arrange | OptionAutoArrange
Set as Server Home | OptionServerHome
Component Title Bar | OptionTitleBar
Share Parameter | OptionShareParam
Themes | OptionTheme
Hide Dashboard Header | OptionDSHHeader
Help | OptionHelp
Exit | OptionExit
Default Theme | theme
Component Options Menu
Analyze | compOptionAnalyze
Edit Setting | compOptionEditSetting
Export | compOptionExport
Delete | compOptionDelete
Refresh | compOptionRefresh
About | compOptionAbout
JReport Console page > My Tasks > Background Tasks > Preferences
Result | background_format
Start Time | ondemands_started_time
Finish Time | ondemands_time
Status | background_status
Catalog | ondemands_catalog
Elapse Time | ondemands_time_elapse
Catalog Version Number | ondemands_catalog_version
Report Version Number | ondemands_report_version
Parameters | ondemands_parameter
Cancelled | ondemands_cancelled
JReport Administration/Console page > Resources
View Mode | page_style

UI Option | Property in dhtmlPreference.properties in `<install_root>\realm\defaultRealm\UserName`
--- | ---
JReport Administration/Console page > Profile > Customize Profile > Page Report Studio
Features
Default Profile | dhtml.currentprofile
Properties > Default
User Information Bar | dhtml.userbar.default
Toolbar | dhtml.toolbar.default
Table of Contents | dhtml.toc.default
Resource View | dhtml.dso.default
Toolbox | dhtml.toolbox.default
Right-click Menu | dhtml.popup.default
Pop Up New Window for Links | dhtml.popup.link.detail.default
Editing Marks | dhtml.privew.default
Pop Up Save Criteria Dialog | dhtml.save.popup.criteria
Save Filter Criteria | dhtml.save.filter.criteria
Save Sort Criteria | dhtml.save.sort.criteria
Switch Reports with Tab | dhtml.switch.reports.with.tab
Show Master Report | dhtml.master.default
Tool Tips on Toolbars | dhtml.tooltips
Always Prompt Query Filter | dhtml.bcfilter_prompt
Always Prompt to Convert Data Fields | dhtml.convertquery_prompt
Mouse Wheel Turn to Page | dhtml.mwttp.default
Always Prompt Whether to Adjust Page Size Automatically | dhtml.createreport_prompt
Zoom | dhtml.zoom.default
Max Records | dhtml.recordnumber.default
Browser Page Title | dhtml.title
Remove Filter | dhtml.report.filter_menu_all
Top N | dhtml.report.filter_menu_topn
Bottom N | dhtml.report.filter_menu_bottomn
More | dhtml.report.filter_menu_more
Show Grids | dthml.show_grids
Snap to Grids | dhtml.snap_to_grids
Grid Size | dhtml.grid_inches_size
Grid Color | dhtml.grid_color
Report Layout | dhtml.reportlayout
Report Style Group | dhtml.stylegroup
Customize Group Indent | dhtml.customize_indent & dhtml.customize_indent_size
Align Summaries Vertically | dhtml.align_summaries
Show Link of Basic/Interactive View | dhtml.show_interactive_view
Show Link of View/Edit Mode | studio.show_edit_mode
Target of Detail Table Report and Links | studio.target
Properties > Advanced
Advanced User | dhtml.advanceuser
Auto Refresh | dhtml.autorefresh
Show Group by Name | dhtml.toc.groupbyname
View Incomplete Pages | dhtml.report.pipe_line
Format Page on Demand | dhtml.report.on_demand
Background Mode Timeout | dhtml.background.mode.timeout.edit & dhtml.background.mode.timeout
Maximum Number of Open Reports | dhtml.report.max_reports.edit & dhtml.report.max_reports
Select Catalog Linked Model | dhtml.save.catalog_linked_mode_edit & dhtml.save.catalog_linked_mode
Show Splash Screen | dhtml.showSpalshScreen

UI Option | Property in *_profile.properties in `<install_root>\realm\defaultRealm`
--- | ---
JReport Administration page > Profile > Customize Profile > Page Report Studio > Features
Profile list
Name | jrs.profile
Description | jrs.profile_desc
Last Modified | jrs.profile_last_modified
Page Report Studio Profile > Basic
Save | dhtml.save
Save as | dhtml.saveas
Filter | dhtml.filter
Sort | dhtml.sort
Export | dhtml.saveresult
Printable Version | dhtml.print
Search | dhtml.search
Style | dhtml.style
Zoom | dhtml.zoom
Change Skin | dhtml.skin
Go to | dhtml.goto
Open | dhtml.open
Refresh | dhtml.refresh
Reset | dhtml.reset
Undo/Redo | dhtml.unredo
Navigation | dhtml.nav
Page Setup | dhtml.pagesetup
Max Records | dhtml.recordnumber
Help | dhtml.help
Page Report Studio Profile > Advanced
Query Filter | dhtml.bcfilter
To Chart | dhtml.tochart
To Crosstab | dhtml.tocrosstab
Rotate | dhtml.rotatecrosstab
Split | dhtml.split
Merge | dhtml.merge
New | dhtml.create
Editing Marks | dhtml.preview
Chart Type | dhtml.charttype
Insert/Remove | dhtml.insert_or_remove
Grid | dhtml.grid
Pivot | dhtml.pivot
Resize | dhtml.resize
Move | dhtml.move
Resource View | dhtml.dso
Toolbox | dhtml.toolbox
Drill | dhtml.drill
Page Report Studio Profile > Function Visibility
User Information Bar | dhtml.userbar
Page Report Bar | dhtml.reportsetbar
Toolbar | dhtml.toolbar
Menu | dhtml.menu
Table of Contents | dhtml.toc
Right-click Menu | dhtml.popup
Page Report Studio Profile > Function Visibility > Right-click Menu
Display Name | dhtml.contextmenu.displayname
Filter | dhtml.contextmenu.filter
Sort | dhtml.contextmenu.sort
Go to | dhtml.contextmenu.goto
Drill | dhtml.contextmenu.drill
Show/Hide | dhtml.contextmenu.show_or_hide
Rotate | dhtml.contextmenu.rotate
Reset | dhtml.contextmenu.reset
Refresh | dhtml.contextmenu.refresh
Search | dhtml.contextmenu.search
Chart Type | dhtml.contextmenu.charttype
To Chart | dhtml.contextmenu.tochart
To Crosstab | dhtml.contextmenu.tocrosstab
Link Report | dhtml.contextmenu.linkreport
Detail Report | dhtml.contextmenu.detailreport
Delete | dhtml.contextmenu.delete
Query Filter | dhtml.contextmenu.bcFilter
Expand Data | dhtml.contextmenu.expand
Properties | dhtml.contextmenu.properties
Style | dhtml.contextmenu.style

UI Option | Property in the clustered server's system database
--- | ---
JReport Administration page > Cluster > Configuration
Load Balancer Type | loadbalance.type
Cluster Scheduler Lease | cluster.scheduler.lease.enabled
Cluster Scheduler Lease Active Count | cluster.scheduler.lease.active_count
Cluster Scheduler Lease Valid Time | cluster.scheduler.lease.valid_time
Cluster Scheduler Lease Check Interval | cluster.scheduler.lease.check_interval
Cluster Storage History Number of Copies | cluster.storage.history.number_copies
Cluster Storage Realm Number of Copies | cluster.storage.realm.number_copies
Cluster Storage CRD Result Number of Copies | cluster.storage.crd_result.number_copies
Cluster Memory Storage Number of Copies | cluster.share_memory.node_number
Notify via E-mail When a Server Is Down | cluster.enable_notify_server_down
E-mail Address | cluster.notify_server_down_address

UI Option | Property in LDAPProperties.xml in `<install_root>\properties`
--- | ---
JReport Administration page > Configuration> LDAP > Server
Enable LDAP | enableLDAPSupport
Version2/Version3 | ldapVersion
Enable Direct Authentication to LDAP Server | enableNoneImportedLDAPSupport
Enable Auto-Import of Users from LDAP Server | enableAutoImportLDAPUser
LDAP URL | url
LDAP Server Port | serverPort
Root Entry | rootEntry
Directory Manager DN | directoryManagerDN
Password | password
Encryption Type | isUsingSSL
Import LDAP Groups to | importGroupType
User Attribute Name | userAN
User Common Name | userCN
User Password | userPassword
Distinguished Name | userDN
Filter (for user schema) | userFilter
Specify the attribute for user description | userEnableSAN
Attribute Name (for user schema) | userSAN
Group Common Name | groupCN
Group Member Type | groupMemeberType
Distinguished Name | groupDN
Filter (for group schema) | groupFilter
Admin Group | groupAdminGroup
Specify the attribute for group description | groupEnableSAN
Attribute Name (for group schema) | groupSAN

UI Option | Property in organization_config.properties in `<install_root>\properties`
--- | ---
JReport Administration page > Configuration> Organizations > Resource Allocation
Maximum Concurrent Users | Concurrent_Users
Maximum Concurrent Reports | Concurrent_Reports
Disk > Maximum Size | Maximum_Disk_Size
Memory > Maximum Size | Maximum_Memory_Size
Cache Catalogs | Enable_cache_catalogs
Cache Catalogs > Maximum Size | Maximum_cache_catalog_size
Cache Reports | Enable_cache_reports
Cache Reports > Maximum Size | Maximum_cache_report_size
Cache Images | Enable_cache_images
Cache Images > Maximum Size | Maximum_cache_image_size
Maximum Report Data Size | Maximum_report_data_size
Maximum Cube Size | Maximum_cube_size
Compress Swap Files | Compress_Swap_Files